#
# spec file for package perl-Const-Fast
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Const-Fast
Version:        0.014
Release:        lp151.2.1
%define cpan_name Const-Fast
Summary:        Facility for creating read-only scalars, arrays, and hashes
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Const-Fast/
Source:         http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.021
BuildRequires:  perl(Sub::Exporter::Progressive) >= 0.001007
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Sub::Exporter::Progressive) >= 0.001007
%{perl_requires}

%description
Facility for creating read-only scalars, arrays, and hashes

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Nov 23 2014 coolo@suse.com
- updated to 0.014
    Pass coderefs and globrefs unchanged
    Conversion from Test::Exception to Test::Fatal (Karen Etheridge)
    Convert to Module::Build::Tiny
  0.013     2012-09-07 23:50:25 Europe/Amsterdam
    Lazy load Storable, it's usually not necessary
  0.012     2012-08-09 13:51:29 Europe/Bucharest
    Depend on Test::Exception 0.29
    Switch to Sub::Exporter::Progressive, for a faster startup
* Wed May 30 2012 coolo@suse.com
- updated to 0.011
    Accept references to references as subject
    Really fix compatibility with Carp 1.25
    Fix compatibility with dotted Carp (1.25?)
    Make sure the first argument comes in as a reference
* Thu Aug 25 2011 chris@computersalat.de
- updated to 0.008
  * Recurse into scalar references too
* Tue May  3 2011 coolo@opensuse.org
- initial package 0.007
  * created by cpanspec 1.78.04
